Skip to main content
`Ctrl`+`K`

# TAOGPCG

gradient projected conjugate gradient algorithm is an active-set conjugate-gradient based method for bound-constrained minimization

## Options Database Keys

- -tao_gpcg_maxpgits - maximum number of gradient projections for GPCG iterate

- -tao_subset_type - “subvec”,”mask”,”matrix-free”, strategies for handling active-sets

## See Also

`Tao`, `TaoType`, `TAOTRON`, `TAOBQPIP`, `TAOLINESEARCHGPCG`

## Level

beginner

## Location

src/tao/quadratic/impls/gpcg/gpcg.c

## Examples

src/tao/bound/tutorials/jbearing2.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages